Bug 23331 - Bring flightgear 2018.2.2 to mageia 6
Summary: Bring flightgear 2018.2.2 to mageia 6
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-07-19 08:48 CEST by José Jorge
Modified: 2018-08-31 23:13 CEST (History)
4 users (show)

See Also:
Source RPM: flightgear simgear flightgear-data
CVE:
Status comment:


Attachments

Description José Jorge 2018-07-19 08:48:31 CEST
Flightgear has released version 2018.2.1 in May. We provide it as an update as this is an online played simulation.
Comment 1 José Jorge 2018-07-19 09:38:31 CEST
Bugfix version 2018.2.2 in updates testing :

RPMS:
flightgear-2018.2.2-1.mga6.x86_64.rpm
flightgear-data-2018.2.2-1.mga6.noarch.rpm
simgear-devel-2018.2.2-1.mga6.x86_64.rpm
simgear-2018.2.2-1.mga6.x86_64.rpm

SRPMS:
flightgear-2018.2.2-1.mga6.srpm
flightgear-data-2018.2.2-1.mga6.srpm
simgear-2018.2.2-1.mga6.srpm

Suggested advisory :

Flightgear project provides quarterly updates. This 2018.2.2 version brings as usual lots of fixes and improvements.

Ref:
http://wiki.flightgear.org/Changelog_2018.2
http://wiki.flightgear.org/Changelog_2018.1

Status: NEW => ASSIGNED

Comment 2 José Jorge 2018-07-27 14:40:26 CEST
I have made a rebuild to change the build mode from debug to release, and enable both Gdal/Ogr and OpenMP. I should give a better framarate.

So both simgear and flightgear are now version 2018.2.2-2.

I have tested in both i586 and x86_64, all ok.

Summary: Bring latest flightgear to mageia => Bring flightgear 2018.2.2 to mageia 6
CC: (none) => lists.jjorge
Assignee: lists.jjorge => qa-bugs
Whiteboard: (none) => MGA6-64-OK MGA6-32-OK
Source RPM: flightgear => flightgear simgear flightgear-data

Comment 3 José Jorge 2018-07-31 10:38:44 CEST
The new build fails in 32 bit.

Whiteboard: MGA6-64-OK MGA6-32-OK => MGA6-64-OK

Comment 4 William Kenney 2018-08-16 21:47:28 CEST
José: I do not recommend using Flightgear in 32-bit

CC: (none) => wilcal.int

Comment 5 William Kenney 2018-08-16 21:48:01 CEST
IMO if it works in 64-bit then it should be validated
Comment 6 William Kenney 2018-08-24 01:13:53 CEST
By consensus today at the QA meeting we validate this bug. I have seen the problem with Flightgear at 32-bit for some time. Even if it did work it would not work very well.

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 7 José Jorge 2018-08-31 11:38:29 CEST
(In reply to William Kenney from comment #6)
> By consensus today at the QA meeting we validate this bug. I have seen the
> problem with Flightgear at 32-bit for some time. Even if it did work it
> would not work very well.

Ok so I will change it to build only in 64 bits.
Comment 8 José Jorge 2018-08-31 12:05:50 CEST
sysadmins : please remove any *gear* from i586 updates testing.

So bugfix version 2018.2.2 in updates testing x86_64 only :

RPMS:
flightgear-2018.2.2-5.mga6.x86_64.rpm
flightgear-data-2018.2.2-2.mga6.noarch.rpm
simgear-devel-2018.2.2-5.mga6.x86_64.rpm
simgear-2018.2.2-5.mga6.x86_64.rpm

SRPMS:
flightgear-2018.2.2-5.mga6.srpm
flightgear-data-2018.2.2-2.mga6.srpm
simgear-2018.2.2-5.mga6.srpm

Suggested advisory :

Flightgear project provides quarterly updates. This 2018.2.2 version brings as usual lots of fixes and improvements, but as it is not recommended to use it with 32 bits systems, we provide it only for 64 bit ones.

Ref:
http://wiki.flightgear.org/Changelog_2018.2
http://wiki.flightgear.org/Changelog_2018.1
Thomas Backlund 2018-08-31 21:58:26 CEST

Keywords: (none) => advisory
CC: (none) => tmb

Comment 9 Mageia Robot 2018-08-31 23:13:02 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0147.html

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.